Name: H5Tset_cset
Signature:
  herr_t `H5Tset_cset`(hid_t `type_id`, H5T_cset_t `cset` )
Purpose:
  Sets character set to be used.
Description:
  `H5Tset_cset` sets the character set to be used.

  HDF5 is able to distinguish between character sets of different nationalities and to convert between them to the extent possible. Valid character set types are:

  | `H5T_CSET_ASCII` | (`0`) |  | Character set is US ASCII.

Parameters:

hid_t `type_id` | Identifier of datatype to modify.
H5T_cset_t `cset` | Character set type.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tset_cset_f

      SUBROUTINE h5tset_cset_f(type_id, cset, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id
                                        ! Datatype identifier
        INTEGER, INTENT(IN) :: cset     ! Character set type of a string datatype
                                        ! Possible values of padding type are:
                                        !    H5T_CSET_ASCII_F = 0
        INTEGER, INTENT(OUT) :: hdferr  ! Error code
      END SUBROUTINE h5tset_cset_f